---
title: "Action on Multiple Allowed Hashes"
slug: "action-on-multiple-allowed-hashes"
tags: ["Reference", "IPS 10.1.10"]
updated: 2026-09-23T09:37:28Z
published: 2026-09-23T09:37:28Z
canonical: "docs.trellix.com/action-on-multiple-allowed-hashes"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Action on Multiple Allowed Hashes
This URL moves the given hashes into block list.
## Resource URL
PUT /advancedmalware/allowedhashes/multipleHash/takeaction/block
## Request Parameters
URL Parameters: None
Payload Request Parameters:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| hashes | List of file hashes | StringList | Yes |
## Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
| --- | --- | --- |
| status | Status | Number |
## Example
**Request**
PUT [https:///sdkapi/advancedmalware/allowedhashes/multipleHash/takeaction/block](https://lt;NSM_IPgt;/sdkapi/advancedmalware/whitelistedhashes/multipleHash/takeaction/blacklist)
**Payload**
```
{
"hashes": ["1aaaaaaaaaaaaaaaaaaaaaaaaaaaa16,
"1aaaaaaaaaaaaaaaaaaaaaaaaaaaa17",
"1aaaaaaaaaaaaaaaaaaaaaaaaaaaa18"]
}
```
## Error Information
**Response**
```
{
"status": 1
}
```
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
| --- | --- | --- | --- |
| 1 | 400 | 4903 | Invalid action |
| 2 | 400 | 3401 | Invalid hash |